## org.apache.tools.ant.listener
Class ProfileLogger

    java.lang.Object
      org.apache.tools.ant.DefaultLogger
          org.apache.tools.ant.listener.ProfileLogger

All Implemented Interfaces:
  java.util.EventListener, BuildListener, BuildLogger

    public class ProfileLogger

extends DefaultLogger

This is a special logger that is designed to profile builds.

Since:
  Ant1.8

Field Summary

Fields inherited from class org.apache.tools.ant.DefaultLogger
`emacsMode, err, LEFT_COLUMN_SIZE, lSep, msgOutputLevel, out`

Constructor Summary
`ProfileLogger()`

Method Summary
`void` `targetFinished(BuildEvent event)` Logs a message to say that the target has finished.
`void` `targetStarted(BuildEvent event)` Logs a message to say that the target has started.
`void` `taskFinished(BuildEvent event)` Logs a message to say that the task has finished.
`void` `taskStarted(BuildEvent event)` Logs a message to say that the task has started.

Methods inherited from class org.apache.tools.ant.DefaultLogger
`buildFinished, buildStarted, extractProjectName, formatTime, getBuildFailedMessage, getBuildSuccessfulMessage, getTimestamp, log, messageLogged, printMessage, setEmacsMode, setErrorPrintStream, setMessageOutputLevel, setOutputPrintStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProfileLogger

    public ProfileLogger()

Method Detail

### targetStarted

    public void targetStarted(BuildEvent event)

  Logs a message to say that the target has started.

  Specified by:
    `targetStarted` in interface `BuildListener`
  Overrides:
    `targetStarted` in class `DefaultLogger`
  Parameters:
    `event` - An event with any relevant extra information. Must not be `null`.
  See Also:
    `BuildEvent.getTarget()`

### targetFinished

    public void targetFinished(BuildEvent event)

  Logs a message to say that the target has finished.

  Specified by:
    `targetFinished` in interface `BuildListener`
  Overrides:
    `targetFinished` in class `DefaultLogger`
  Parameters:
    `event` - An event with any relevant extra information. Must not be `null`.
  See Also:
    `BuildEvent.getException()`

### taskStarted

    public void taskStarted(BuildEvent event)

  Logs a message to say that the task has started.

  Specified by:
    `taskStarted` in interface `BuildListener`
  Overrides:
    `taskStarted` in class `DefaultLogger`
  Parameters:
    `event` - An event with any relevant extra information. Must not be `null`.
  See Also:
    `BuildEvent.getTask()`

### taskFinished

    public void taskFinished(BuildEvent event)

  Logs a message to say that the task has finished.

  Specified by:
    `taskFinished` in interface `BuildListener`
  Overrides:
    `taskFinished` in class `DefaultLogger`
  Parameters:
    `event` - An event with any relevant extra information. Must not be `null`.
  See Also:
    `BuildEvent.getException()`